kompendium
2.0.1
2.0.3 2.0.2 2.0.1

# notarizedGet

inline fun < TParam : Any , TResp : Any > Route. notarizedGet (info: GetInfo < TParam , TResp >, postProcess: ( PathOperation ) -> PathOperation = { p -> p }, noinline body: suspend PipelineContext< Unit , ApplicationCall>.( TParam ) -> Unit ): Route
Content copied to clipboard

Notarization for an HTTP GET request leveraging the Ktor io.ktor.locations.Locations plugin

## Parameters

TParam

The class containing all parameter fields. Each field must be annotated with @io.bkbn.kompendium.annotations.Param. Additionally, the class must be annotated with @io.ktor.locations.Location.

TResp

Class detailing the expected API response

info

Route metadata

postProcess

Adds an optional callback hook to perform manual overrides on the generated PathOperation